Nov 052013
 

Im Hause der Linux Foto Software Gimp pflegt man ja gerne so manches mal, die ein oder andere Versionsnummer zu überspringen. Wer den Entwicklern mit der Entwickler Version 2.9 über die Schulter schauen und bereits jetzt schon die Features der 2.10 er Version anschauen möchte, kann das gerne tun.

GEGL / high bit depth 16 bit und Warp Transformtool

Foto Software in Version 2.9.1

Build 2.9.1 der Bildbearbeitung

Die wesentliche Neuerung in Version 2.10 der Foto Software wird die komplette Unterstützung von GEGL / high bit depths. Das heißt dass endlich 16bit und 32bit pro Farbkanal, sowohl integer und float unterstützt werden. Diese Funktion ist mit der 2.9 schon aktiv und kann getestet werden. Das neue Warp Transform Tool macht auch einen sehr passablen Eindruck und hat es mit gleich angetan. Das Symbol in der Werkzeugleiste gleicht einer Spirale. Es macht Spaß, damit Bilder zu korrigieren oder gerade Gesichter bis zur Unkenntlichkeit zu verschönern ;).

Installation GIMP 2.9 (development build) in Ubuntu

Thorsten Stettin hat aus den Entwicklung Builds der Foto Software wieder eine schöne PPA für Ubuntu / Linux Mint Anwender gebastelt. Version 2.9 ist keine offiziell stabile Version (bei mir läuft sie aktuell ohne Einschränkungen), die veröffentlicht wird, aber vollständig genutzt werden kann. Empfehlenswert ist eine solche Version für den produktiven Einsatz nur bedingt. Im schlimmsten Fall könnte diese Installation das System gefährden. Deshalb hier nur eine kleine Warnung zur Vollständigkeit. Der nächste Schritt der Entwickler der beliebten und umfangreichen Open Source Bildbearbeitungssoftware, die für alle Anwender gilt, wird die stabile Version 2.10 werden. Bis dorthin kann die 2.8, respektive wie nachfolgend erklärt, die aktuelle 2.9.1 installiert werden.

Um die 2.9 des Foto Editors in Ubuntu 14.04 , 13.10 oder 13.04 zu installieren, einfach folgende Befehle im Terminal eingeben:
sudo add-apt-repository ppa:otto-kesselgulasch/gimp-edge
sudo apt-get update
sudo apt-get install gimp

Back to the roots

Wer die alte Gimp Version wieder haben möchte, für den gibt es folgenden Fall back! ( Deinstallation der GIMP 2.9 Entwicklungsversion PPA wird gelöscht):
sudo apt-get install ppa-purge
sudo ppa-purge ppa:otto-kesselgulasch/gimp-edge